1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen

gd library fehlt in php?

Dieses Thema im Forum "macOS & OS X" wurde erstellt von MacOkieh, 07.01.09.

  1. MacOkieh

    MacOkieh Empire

    Dabei seit:
    26.11.07
    Beiträge:
    85
    Hi!

    In PHP5, so wie es in Leopard integriert ist, fehlt die gd library. Diese wird von fast jedem php tool genutzt, dass irgendwie mit Bildbearbeitung zu tun hat (thumbnails erstellen etc.). Weiß jemand, warum Apple ausgerechnet diese library nicht mitliefert? Und gibt es einen einfachen Weg, diese zu integrieren? Neukompilieren von PHP etc. kommt nicht in Frage da zu komplex. Was ist mit MAMP, schon mal Erfahrungen damit gemacht? Ist dort diese library integriert? Ist die gd library vielleicht in 10.5.6 mit drin?

    Gruß
    Heiko
     
  2. twinastir

    twinastir Transparent von Croncels

    Dabei seit:
    19.10.06
    Beiträge:
    305
  3. Atelis

    Atelis Akerö

    Dabei seit:
    01.03.07
    Beiträge:
    1.831
    Verstehe ich das richtig, dass ich das PHP in Leopard deaktivieren muss, wenn ich es aktiviert habe und dann die Apache 2-Version von der Webseite installieren muss? War das dann schon alles?
    Und was muss ich machen, um das installierte PHP wieder zu deaktivieren oder entfernen?
     
  4. MacOkieh

    MacOkieh Empire

    Dabei seit:
    26.11.07
    Beiträge:
    85
    Funzt nicht!

    Danke für den Tip. Das habe ich auch schon ausprobiert - läuft nicht, ist auch nur für Tiger und nicht für Leopard gedacht. Der installierte Apache Server ist mit 64 bit Einstellungen kompiliert, und das bei entropy.ch ist nur 32 bit und arbeitet daher nicht mit dem Apache zusammen.

    Ich habe jetzt MAMP ausprobiert und siehe da - es funktioniert. Alles drin was man(n) so braucht und läuft problemlos.

    Gruß
    Heiko
     

Diese Seite empfehlen